> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seam.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Customer Portal

> Creates a new customer portal magic link with configurable features.



## OpenAPI

````yaml /openapi.json post /customers/create_portal
openapi: 3.0.0
info:
  title: Seam Connect
  version: 1.0.0
servers:
  - url: https://connect.getseam.com
security: []
tags:
  - description: access_codes
    name: /access_codes
  - description: acs
    name: /acs
  - description: action_attempts
    name: /action_attempts
  - description: client_sessions
    name: /client_sessions
  - description: connected_accounts
    name: /connected_accounts
  - description: connect_webviews
    name: /connect_webviews
  - description: devices
    name: /devices
  - description: events
    name: /events
  - description: health
    name: /health
  - description: locks
    name: /locks
  - description: networks
    name: /networks
  - description: noise_sensors
    name: /noise_sensors
  - description: phones
    name: /phones
  - description: thermostats
    name: /thermostats
  - description: user_identities
    name: /user_identities
  - description: webhooks
    name: /webhooks
  - description: workspaces
    name: /workspaces
paths:
  /customers/create_portal:
    post:
      tags: []
      summary: Create Customer Portal
      description: Creates a new customer portal magic link with configurable features.
      operationId: customersCreatePortalPost
      requestBody:
        content:
          application/json:
            schema:
              allOf:
                - default:
                    exclude_locale_picker: false
                    features:
                      configure:
                        allow_access_automation_rule_customization: false
                        allow_climate_automation_rule_customization: false
                        allow_instant_key_customization: false
                        exclude: false
                      connect:
                        exclude: false
                      manage:
                        exclude: false
                        exclude_reservation_management: false
                        exclude_reservation_technical_details: false
                        exclude_staff_management: false
                      manage_devices:
                        exclude: false
                      organize:
                        exclude: false
                    is_embedded: false
                  description: Configuration for a customer portal
                  properties:
                    _dev:
                      default: false
                      description: >-
                        Whether the portal is in developer mode. Only available
                        for Seam employees.
                      type: boolean
                      x-undocumented: Internal developer mode flag.
                    customer_resources_filters:
                      description: >-
                        Filter configuration for resources based on their
                        custom_metadata. Each filter specifies a field,
                        operation, and value to match against resource
                        custom_metadata.
                      items:
                        properties:
                          field:
                            description: The custom_metadata field name to filter on.
                            pattern: ^[a-zA-Z_]\w*$
                            type: string
                          operation:
                            description: >-
                              The comparison operation. Currently only '=' is
                              supported.
                            enum:
                              - '='
                            type: string
                          value:
                            description: The value to compare against.
                            oneOf:
                              - type: string
                              - type: boolean
                        required:
                          - field
                          - operation
                          - value
                        type: object
                      type: array
                    customization_profile_id:
                      description: >-
                        The ID of the customization profile to use for the
                        portal.
                      format: uuid
                      type: string
                    deep_link:
                      description: >-
                        Deep link target resource for initial redirect. When
                        set, the portal will navigate directly to the specified
                        resource.
                      properties:
                        resource_key:
                          type: string
                        resource_type:
                          enum:
                            - reservation
                            - space
                          type: string
                      required:
                        - resource_type
                        - resource_key
                      type: object
                      x-undocumented: Internal endpoint for customer portals.
                    exclude_locale_picker:
                      default: false
                      description: >-
                        Whether to exclude the option to select a locale within
                        the portal UI.
                      type: boolean
                    features:
                      default: {}
                      properties:
                        configure:
                          default: {}
                          description: Configuration for the configure feature.
                          properties:
                            allow_access_automation_rule_customization:
                              default: false
                              description: >-
                                Indicates whether the customer can customize the
                                access automation rules for their properties.
                              type: boolean
                            allow_climate_automation_rule_customization:
                              default: false
                              description: >-
                                Indicates whether the customer can customize the
                                climate automation rules for their properties.
                              type: boolean
                            allow_instant_key_customization:
                              default: false
                              description: >-
                                Indicates whether the customer can customize the
                                Instant Key profile for their properties.
                              type: boolean
                            exclude:
                              default: false
                              description: Whether to exclude this feature from the portal.
                              type: boolean
                          type: object
                        connect:
                          default: {}
                          description: Configuration for the connect accounts feature.
                          properties:
                            accepted_providers:
                              description: >-
                                List of provider keys to allow for the connect
                                feature. These providers will be shown when the
                                customer tries to connect an account.
                              items:
                                type: string
                              type: array
                            exclude:
                              default: false
                              description: Whether to exclude this feature from the portal.
                              type: boolean
                            excluded_providers:
                              description: >-
                                List of provider keys to exclude from the
                                connect feature. These providers will not be
                                shown when the customer tries to connect an
                                account.
                              items:
                                type: string
                              type: array
                          type: object
                        manage:
                          default: {}
                          description: Configuration for the manage feature.
                          properties:
                            device_management_confirmation:
                              description: |2-

                                      Custom copy for the confirmation modal shown before unmanaged devices are added to a space and begin being managed (and billed). Only takes effect when the MANAGE_DEVICES_CONFIRMATION_MODAL feature flag is enabled for the workspace. Any omitted string falls back to a localized default.
                                    
                              properties:
                                body:
                                  description: >-
                                    Custom body text for the confirmation modal.
                                    May include the {count} token, which is
                                    replaced with the number of devices that
                                    will begin being managed.
                                  type: string
                                cancel_button_label:
                                  description: Custom label for the cancel button.
                                  type: string
                                confirm_button_label:
                                  description: Custom label for the confirm button.
                                  type: string
                                title:
                                  description: Custom title for the confirmation modal.
                                  type: string
                              type: object
                            events:
                              description: >-
                                Configuration for event type filtering in the
                                manage feature.
                              properties:
                                allowed_events:
                                  description: >-
                                    List of event types to show in the events
                                    filter. When set, only these event types
                                    will be available. Leave empty to show all
                                    events.
                                  items:
                                    type: string
                                  type: array
                                default_events:
                                  description: >-
                                    List of event types that are pre-selected in
                                    the events filter when the user first loads
                                    the events tab.
                                  items:
                                    type: string
                                  type: array
                              type: object
                            exclude:
                              default: false
                              description: Whether to exclude this feature from the portal.
                              type: boolean
                            exclude_reservation_management:
                              default: false
                              description: >-
                                Indicates whether the customer can manage
                                reservations for their properties.
                              type: boolean
                            exclude_reservation_technical_details:
                              default: false
                              description: >-
                                Indicates whether to exclude technical details
                                from reservation views.
                              type: boolean
                            exclude_staff_management:
                              default: false
                              description: >-
                                Indicates whether the customer can manage staff
                                for their properties.
                              type: boolean
                          type: object
                        manage_devices:
                          default: {}
                          description: |-
                            Configuration for the manage devices feature.
                            ---
                            deprecated: Use `manage` instead.
                            ---
                          properties:
                            exclude:
                              default: false
                              description: Whether to exclude this feature from the portal.
                              type: boolean
                          type: object
                        organize:
                          default: {}
                          description: Configuration for the organize feature.
                          properties:
                            exclude:
                              default: false
                              description: Whether to exclude this feature from the portal.
                              type: boolean
                          type: object
                      type: object
                    is_embedded:
                      default: false
                      description: Whether the portal is embedded in another application.
                      type: boolean
                    landing_page:
                      description: >-
                        Configuration for the landing page when the portal
                        loads.
                      properties:
                        manage:
                          oneOf:
                            - oneOf:
                                - properties:
                                    space_key:
                                      type: string
                                  required:
                                    - space_key
                                  type: object
                                - properties:
                                    property_key:
                                      type: string
                                  required:
                                    - property_key
                                  type: object
                                - properties:
                                    room_key:
                                      type: string
                                  required:
                                    - room_key
                                  type: object
                                - properties:
                                    common_area_key:
                                      type: string
                                  required:
                                    - common_area_key
                                  type: object
                                - properties:
                                    unit_key:
                                      type: string
                                  required:
                                    - unit_key
                                  type: object
                                - properties:
                                    facility_key:
                                      type: string
                                  required:
                                    - facility_key
                                  type: object
                                - properties:
                                    building_key:
                                      type: string
                                  required:
                                    - building_key
                                  type: object
                                - properties:
                                    listing_key:
                                      type: string
                                  required:
                                    - listing_key
                                  type: object
                                - properties:
                                    property_listing_key:
                                      type: string
                                  required:
                                    - property_listing_key
                                  type: object
                                - properties:
                                    site_key:
                                      type: string
                                  required:
                                    - site_key
                                  type: object
                            - oneOf:
                                - properties:
                                    reservation_key:
                                      type: string
                                  required:
                                    - reservation_key
                                  type: object
                                - properties:
                                    booking_key:
                                      type: string
                                  required:
                                    - booking_key
                                  type: object
                                - properties:
                                    access_grant_key:
                                      type: string
                                  required:
                                    - access_grant_key
                                  type: object
                      type: object
                    locale:
                      description: The locale to use for the portal.
                      enum:
                        - en-US
                        - pt-PT
                        - fr-FR
                        - it-IT
                        - es-ES
                        - de-DE
                        - nl-NL
                        - el-GR
                        - pl-PL
                        - ru-RU
                      type: string
                    navigation_mode:
                      default: full
                      description: >-
                        Navigation mode for the portal. 'restricted' tells
                        frontend to hide navigation UI, typically used for
                        embedded deep links.
                      enum:
                        - full
                        - restricted
                      type: string
                  type: object
                - properties:
                    customer_data:
                      properties:
                        access_grants:
                          description: List of access grants.
                          items:
                            properties:
                              access_grant_key:
                                description: Your unique identifier for the access grant.
                                minLength: 1
                                type: string
                              building_keys:
                                description: >-
                                  Building keys associated with the access
                                  grant.
                                items:
                                  type: string
                                type: array
                              common_area_keys:
                                description: >-
                                  Common area keys associated with the access
                                  grant.
                                items:
                                  type: string
                                type: array
                              ends_at:
                                description: Ending date and time for the access grant.
                                format: date-time
                                type: string
                              facility_keys:
                                description: >-
                                  Facility keys associated with the access
                                  grant.
                                items:
                                  type: string
                                type: array
                              guest_key:
                                description: Guest key associated with the access grant.
                                type: string
                              listing_keys:
                                description: Listing keys associated with the access grant.
                                items:
                                  type: string
                                type: array
                              name:
                                description: Your name for this access grant resource.
                                type: string
                              preferred_code:
                                description: >-
                                  Preferred PIN code to use when creating access
                                  for this reservation.
                                type: string
                              property_keys:
                                description: >-
                                  Property keys associated with the access
                                  grant.
                                items:
                                  type: string
                                type: array
                              resident_key:
                                description: Resident key associated with the access grant.
                                type: string
                              room_keys:
                                description: Room keys associated with the access grant.
                                items:
                                  type: string
                                type: array
                              space_keys:
                                description: Space keys associated with the access grant.
                                items:
                                  type: string
                                type: array
                              starts_at:
                                description: Starting date and time for the access grant.
                                format: date-time
                                type: string
                              tenant_key:
                                description: Tenant key associated with the access grant.
                                type: string
                              unit_keys:
                                description: Unit keys associated with the access grant.
                                items:
                                  type: string
                                type: array
                              user_identity_key:
                                description: >-
                                  User identity key associated with the access
                                  grant.
                                type: string
                              user_key:
                                description: User key associated with the access grant.
                                type: string
                            required:
                              - access_grant_key
                            type: object
                          type: array
                        bookings:
                          description: List of bookings.
                          items:
                            properties:
                              booking_key:
                                description: Your unique identifier for the booking.
                                minLength: 1
                                type: string
                              building_keys:
                                description: >-
                                  Building keys associated with the access
                                  grant.
                                items:
                                  type: string
                                type: array
                              common_area_keys:
                                description: >-
                                  Common area keys associated with the access
                                  grant.
                                items:
                                  type: string
                                type: array
                              ends_at:
                                description: Ending date and time for the access grant.
                                format: date-time
                                type: string
                              facility_keys:
                                description: >-
                                  Facility keys associated with the access
                                  grant.
                                items:
                                  type: string
                                type: array
                              guest_key:
                                description: Guest key associated with the access grant.
                                type: string
                              listing_keys:
                                description: Listing keys associated with the access grant.
                                items:
                                  type: string
                                type: array
                              name:
                                description: Your name for this access grant resource.
                                type: string
                              preferred_code:
                                description: >-
                                  Preferred PIN code to use when creating access
                                  for this reservation.
                                type: string
                              property_keys:
                                description: >-
                                  Property keys associated with the access
                                  grant.
                                items:
                                  type: string
                                type: array
                              resident_key:
                                description: Resident key associated with the access grant.
                                type: string
                              room_keys:
                                description: Room keys associated with the access grant.
                                items:
                                  type: string
                                type: array
                              space_keys:
                                description: Space keys associated with the access grant.
                                items:
                                  type: string
                                type: array
                              starts_at:
                                description: Starting date and time for the access grant.
                                format: date-time
                                type: string
                              tenant_key:
                                description: Tenant key associated with the access grant.
                                type: string
                              unit_keys:
                                description: Unit keys associated with the access grant.
                                items:
                                  type: string
                                type: array
                              user_identity_key:
                                description: >-
                                  User identity key associated with the access
                                  grant.
                                type: string
                              user_key:
                                description: User key associated with the access grant.
                                type: string
                            required:
                              - booking_key
                            type: object
                          type: array
                        buildings:
                          description: List of buildings.
                          items:
                            properties:
                              building_key:
                                description: Your unique identifier for the building.
                                minLength: 1
                                type: string
                              name:
                                description: Your display name for this location resource.
                                type: string
                            required:
                              - name
                              - building_key
                            type: object
                          type: array
                        common_areas:
                          description: List of shared common areas.
                          items:
                            properties:
                              common_area_key:
                                description: Your unique identifier for the common area.
                                minLength: 1
                                type: string
                              name:
                                description: Your display name for this location resource.
                                type: string
                              parent_site_key:
                                description: Your unique identifier for the site.
                                minLength: 1
                                type: string
                            required:
                              - name
                              - common_area_key
                            type: object
                          type: array
                        customer_key:
                          description: Your unique identifier for the customer.
                          minLength: 1
                          type: string
                        facilities:
                          description: List of gym or fitness facilities.
                          items:
                            properties:
                              facility_key:
                                description: Your unique identifier for the facility.
                                minLength: 1
                                type: string
                              name:
                                description: Your display name for this location resource.
                                type: string
                            required:
                              - name
                              - facility_key
                            type: object
                          type: array
                        guests:
                          description: List of guests.
                          items:
                            properties:
                              email_address:
                                description: >-
                                  Email address associated with the user
                                  identity.
                                type: string
                              guest_key:
                                description: Your unique identifier for the guest.
                                minLength: 1
                                type: string
                              name:
                                description: >-
                                  Your display name for this user identity
                                  resource.
                                type: string
                              phone_number:
                                description: >-
                                  Phone number associated with the user
                                  identity.
                                type: string
                            required:
                              - name
                              - guest_key
                            type: object
                          type: array
                        listings:
                          description: List of property listings.
                          items:
                            properties:
                              listing_key:
                                description: Your unique identifier for the listing.
                                minLength: 1
                                type: string
                              name:
                                description: Your display name for this location resource.
                                type: string
                            required:
                              - name
                              - listing_key
                            type: object
                          type: array
                        properties:
                          description: List of short-term rental properties.
                          items:
                            properties:
                              name:
                                description: Your display name for this location resource.
                                type: string
                              property_key:
                                description: Your unique identifier for the property.
                                minLength: 1
                                type: string
                            required:
                              - name
                              - property_key
                            type: object
                          type: array
                        property_listings:
                          description: List of property listings.
                          items:
                            properties:
                              custom_metadata:
                                additionalProperties:
                                  nullable: true
                                  oneOf:
                                    - maxLength: 500
                                      type: string
                                    - type: boolean
                                description: >-
                                  Set key:value pairs. Accepts string or Boolean
                                  values. Adding custom metadata to a property
                                  listing enables you to store custom
                                  information, like customer details or internal
                                  IDs from your application.
                                type: object
                              name:
                                description: Your display name for this location resource.
                                type: string
                              property_listing_key:
                                description: >-
                                  Your unique identifier for the property
                                  listing.
                                minLength: 1
                                type: string
                            required:
                              - name
                              - property_listing_key
                            type: object
                          type: array
                        reservations:
                          description: List of reservations.
                          items:
                            properties:
                              building_keys:
                                description: >-
                                  Building keys associated with the access
                                  grant.
                                items:
                                  type: string
                                type: array
                              common_area_keys:
                                description: >-
                                  Common area keys associated with the access
                                  grant.
                                items:
                                  type: string
                                type: array
                              custom_metadata:
                                additionalProperties:
                                  nullable: true
                                  oneOf:
                                    - maxLength: 500
                                      type: string
                                    - type: boolean
                                description: >-
                                  Set key:value pairs for filtering reservations
                                  by custom criteria.
                                type: object
                              ends_at:
                                description: Ending date and time for the access grant.
                                format: date-time
                                type: string
                              facility_keys:
                                description: >-
                                  Facility keys associated with the access
                                  grant.
                                items:
                                  type: string
                                type: array
                              guest_key:
                                description: Guest key associated with the access grant.
                                type: string
                              listing_keys:
                                description: Listing keys associated with the access grant.
                                items:
                                  type: string
                                type: array
                              name:
                                description: Your name for this access grant resource.
                                type: string
                              preferred_code:
                                description: >-
                                  Preferred PIN code to use when creating access
                                  for this reservation.
                                type: string
                              property_keys:
                                description: >-
                                  Property keys associated with the access
                                  grant.
                                items:
                                  type: string
                                type: array
                              reservation_key:
                                description: Your unique identifier for the reservation.
                                minLength: 1
                                type: string
                              resident_key:
                                description: Resident key associated with the access grant.
                                type: string
                              room_keys:
                                description: Room keys associated with the access grant.
                                items:
                                  type: string
                                type: array
                              space_keys:
                                description: Space keys associated with the access grant.
                                items:
                                  type: string
                                type: array
                              starts_at:
                                description: Starting date and time for the access grant.
                                format: date-time
                                type: string
                              tenant_key:
                                description: Tenant key associated with the access grant.
                                type: string
                              unit_keys:
                                description: Unit keys associated with the access grant.
                                items:
                                  type: string
                                type: array
                              user_identity_key:
                                description: >-
                                  User identity key associated with the access
                                  grant.
                                type: string
                              user_key:
                                description: User key associated with the access grant.
                                type: string
                            required:
                              - reservation_key
                            type: object
                          type: array
                        residents:
                          description: List of residents.
                          items:
                            properties:
                              email_address:
                                description: >-
                                  Email address associated with the user
                                  identity.
                                type: string
                              name:
                                description: >-
                                  Your display name for this user identity
                                  resource.
                                type: string
                              phone_number:
                                description: >-
                                  Phone number associated with the user
                                  identity.
                                type: string
                              resident_key:
                                description: Your unique identifier for the resident.
                                minLength: 1
                                type: string
                            required:
                              - name
                              - resident_key
                            type: object
                          type: array
                        rooms:
                          description: List of hotel or hospitality rooms.
                          items:
                            properties:
                              name:
                                description: Your display name for this location resource.
                                type: string
                              parent_site_key:
                                description: Your unique identifier for the site.
                                minLength: 1
                                type: string
                              room_key:
                                description: Your unique identifier for the room.
                                minLength: 1
                                type: string
                            required:
                              - name
                              - room_key
                            type: object
                          type: array
                        sites:
                          description: List of general sites or areas.
                          items:
                            properties:
                              name:
                                description: Your display name for this location resource.
                                type: string
                              site_key:
                                description: Your unique identifier for the site.
                                minLength: 1
                                type: string
                            required:
                              - name
                              - site_key
                            type: object
                          type: array
                        spaces:
                          description: List of general spaces or areas.
                          items:
                            properties:
                              customer_data:
                                description: >-
                                  Reservation/stay-related defaults for the
                                  space (time zone, default check-in/out times,
                                  address).
                                properties:
                                  address:
                                    description: Postal address for the space.
                                    nullable: true
                                    type: string
                                  default_checkin_time:
                                    description: >-
                                      Default check-in time for reservations at
                                      the space, as HH:mm or HH:mm:ss.
                                    nullable: true
                                    pattern: ^([01]\d|2[0-3]):[0-5]\d(:[0-5]\d)?$
                                    type: string
                                  default_checkout_time:
                                    description: >-
                                      Default check-out time for reservations at
                                      the space, as HH:mm or HH:mm:ss.
                                    nullable: true
                                    pattern: ^([01]\d|2[0-3]):[0-5]\d(:[0-5]\d)?$
                                    type: string
                                  time_zone:
                                    description: >-
                                      IANA time zone for the space, e.g.
                                      America/Los_Angeles.
                                    nullable: true
                                    type: string
                                type: object
                              duration_minutes:
                                description: >-
                                  Default duration of this space in minutes,
                                  when the space represents a fixed-length
                                  bookable slot (e.g. an appointment type). Used
                                  to interpret reservations booked against this
                                  space.
                                exclusiveMinimum: true
                                minimum: 0
                                type: integer
                              geolocation:
                                description: >-
                                  Geographic coordinates (latitude and
                                  longitude) of the space.
                                properties:
                                  latitude:
                                    description: Latitude of the space, in decimal degrees.
                                    format: float
                                    type: number
                                  longitude:
                                    description: >-
                                      Longitude of the space, in decimal
                                      degrees.
                                    format: float
                                    type: number
                                required:
                                  - latitude
                                  - longitude
                                type: object
                              name:
                                description: Your display name for this location resource.
                                type: string
                              parent_site_key:
                                description: Your unique identifier for the site.
                                minLength: 1
                                type: string
                              space_key:
                                description: Your unique identifier for the space.
                                minLength: 1
                                type: string
                            required:
                              - name
                              - space_key
                            type: object
                          type: array
                        staff_members:
                          description: List of staff members.
                          items:
                            description: Represents a staff member for a specific customer.
                            properties:
                              building_keys:
                                description: >-
                                  List of unique identifiers for the buildings
                                  the staff member is associated with.
                                items:
                                  type: string
                                type: array
                              common_area_keys:
                                description: >-
                                  List of unique identifiers for the common
                                  areas the staff member is associated with.
                                items:
                                  type: string
                                type: array
                              email_address:
                                description: >-
                                  Email address associated with the user
                                  identity.
                                type: string
                              facility_keys:
                                description: >-
                                  List of unique identifiers for the facilities
                                  the staff member is associated with.
                                items:
                                  type: string
                                type: array
                              listing_keys:
                                description: >-
                                  List of unique identifiers for the listings
                                  the staff member is associated with.
                                items:
                                  type: string
                                type: array
                              name:
                                description: >-
                                  Your display name for this user identity
                                  resource.
                                type: string
                              phone_number:
                                description: >-
                                  Phone number associated with the user
                                  identity.
                                type: string
                              property_keys:
                                description: >-
                                  List of unique identifiers for the properties
                                  the staff member is associated with.
                                items:
                                  type: string
                                type: array
                              property_listing_keys:
                                description: >-
                                  List of unique identifiers for the property
                                  listings the staff member is associated with.
                                items:
                                  type: string
                                type: array
                              room_keys:
                                description: >-
                                  List of unique identifiers for the rooms the
                                  staff member is associated with.
                                items:
                                  type: string
                                type: array
                              site_keys:
                                description: >-
                                  List of unique identifiers for the sites the
                                  staff member is associated with.
                                items:
                                  type: string
                                type: array
                              space_keys:
                                description: >-
                                  List of unique identifiers for the spaces the
                                  staff member is associated with.
                                items:
                                  type: string
                                type: array
                              staff_member_key:
                                description: Your unique identifier for the staff.
                                type: string
                              unit_keys:
                                description: >-
                                  List of unique identifiers for the units the
                                  staff member is associated with.
                                items:
                                  type: string
                                type: array
                            required:
                              - name
                              - staff_member_key
                            type: object
                            x-route-path: /seam/customer/v1/staff_members
                            x-undocumented: Internal resource for customer portals.
                          type: array
                        tenants:
                          description: List of tenants.
                          items:
                            properties:
                              email_address:
                                description: >-
                                  Email address associated with the user
                                  identity.
                                type: string
                              name:
                                description: >-
                                  Your display name for this user identity
                                  resource.
                                type: string
                              phone_number:
                                description: >-
                                  Phone number associated with the user
                                  identity.
                                type: string
                              tenant_key:
                                description: Your unique identifier for the tenant.
                                minLength: 1
                                type: string
                            required:
                              - name
                              - tenant_key
                            type: object
                          type: array
                        units:
                          description: List of multi-family residential units.
                          items:
                            properties:
                              name:
                                description: Your display name for this location resource.
                                type: string
                              parent_site_key:
                                description: Your unique identifier for the site.
                                minLength: 1
                                type: string
                              unit_key:
                                description: Your unique identifier for the unit.
                                minLength: 1
                                type: string
                            required:
                              - name
                              - unit_key
                            type: object
                          type: array
                        user_identities:
                          description: List of user identities.
                          items:
                            properties:
                              email_address:
                                description: >-
                                  Email address associated with the user
                                  identity.
                                type: string
                              name:
                                description: >-
                                  Your display name for this user identity
                                  resource.
                                type: string
                              phone_number:
                                description: >-
                                  Phone number associated with the user
                                  identity.
                                type: string
                              user_identity_key:
                                description: Your unique identifier for the user identity.
                                minLength: 1
                                type: string
                            required:
                              - name
                              - user_identity_key
                            type: object
                          type: array
                        users:
                          description: List of users.
                          items:
                            properties:
                              email_address:
                                description: >-
                                  Email address associated with the user
                                  identity.
                                type: string
                              name:
                                description: >-
                                  Your display name for this user identity
                                  resource.
                                type: string
                              phone_number:
                                description: >-
                                  Phone number associated with the user
                                  identity.
                                type: string
                              user_key:
                                description: Your unique identifier for the user.
                                minLength: 1
                                type: string
                            required:
                              - name
                              - user_key
                            type: object
                          type: array
                      required:
                        - customer_key
                      type: object
                  type: object
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  customer_portal:
                    $ref: '#/components/schemas/customer_portal'
                  magic_link:
                    $ref: '#/components/schemas/magic_link'
                  ok:
                    type: boolean
                required:
                  - customer_portal
                  - magic_link
                  - ok
                type: object
          description: OK
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
      security:
        - pat_with_workspace: []
        - console_session_with_workspace: []
        - api_key: []
components:
  schemas:
    customer_portal:
      description: >-
        Represents a Customer Portal. Customer Portal is a hosted, customizable
        interface for managing device access. It enables you to embed secure,
        pre-authenticated access flows into your product—either by sharing a
        link with users or embedding a view in an iframe.
      properties:
        created_at:
          description: Date and time at which the customer portal link was created.
          format: date-time
          type: string
        customer_key:
          description: Customer key for the customer portal.
          type: string
        expires_at:
          description: Date and time at which the customer portal link expires.
          format: date-time
          type: string
        url:
          description: URL for the customer portal.
          format: uri
          type: string
        workspace_id:
          description: >-
            ID of the [workspace](https://docs.seam.co/core-concepts/workspaces)
            associated with the customer portal.
          format: uuid
          type: string
      required:
        - url
        - customer_key
        - expires_at
        - workspace_id
        - created_at
      type: object
      x-route-path: /customers
    magic_link:
      description: >-
        Represents a Customer Portal. Customer Portal is a hosted, customizable
        interface for managing device access. It enables you to embed secure,
        pre-authenticated access flows into your product—either by sharing a
        link with users or embedding a view in an iframe.
      properties:
        created_at:
          description: Date and time at which the magic link was created.
          format: date-time
          type: string
        customer_key:
          description: Customer key for the magic link.
          type: string
        expires_at:
          description: Date and time at which the magic link expires.
          format: date-time
          type: string
        url:
          description: URL for the magic link.
          format: uri
          type: string
        workspace_id:
          description: >-
            ID of the [workspace](https://docs.seam.co/core-concepts/workspaces)
            associated with the magic link.
          format: uuid
          type: string
      required:
        - url
        - customer_key
        - expires_at
        - workspace_id
        - created_at
      type: object
      x-route-path: /unstable_partner/building_blocks
      x-undocumented: Unreleased.
  securitySchemes:
    pat_with_workspace:
      bearerFormat: API Token
      scheme: bearer
      type: http
    console_session_with_workspace:
      bearerFormat: Console Session Token
      scheme: bearer
      type: http
    api_key:
      bearerFormat: API Key
      scheme: bearer
      type: http

````